Mundo Maker
¡Bienvenid@ a Mundo Maker!

¿Quieres aprender todo sobre el RPG Maker?



Regístrate y forma parte de Mundo Maker.
Conectarse

Recuperar mi contraseña

Temas importantes
----------------------------------------
Páginas con recursos RPG Maker
----------------------------------------
----------------------------------------
----------------------------------------
----------------------------------------
----------------------------------------
----------------------------------------
----------------------------------------
----------------------------------------
----------------------------------------
Afiliados
Estadísticas
Tenemos 3821 miembros registrados.
El último usuario registrado es MikeWasauski.

Nuestros miembros han publicado un total de 86306 mensajes en 12303 argumentos.

Ayuda, tengo un problema con el Scipt de Pokemon Acompañante

Ver el tema anterior Ver el tema siguiente Ir abajo

Ayuda, tengo un problema con el Scipt de Pokemon Acompañante

Mensaje por Darkario el 2017-11-15, 22:15

Hola, primero que nada, soy nuevo :3
Y estoy teniendo un problema con un Script que no logro solucionar. Es el Script de Pokemon Acompañante, en cuanto lo coloco y le doy a play a la prueba y me sale un cartel de Error que dice:
"Error de Script Pokemon Following en la linea 1431 de tipo "NameError".
undefined method `pbSwitch' for class `PokemonPartyScreen' "
por si acaso, el acaso, el Script lo saque de esta pagina: https://pastebin.com/SG4sfBka
Si alguien sabe porque me sale este error, por favor, dígame. Necesito de este Script porque sin el, no puedo avanzar con mi juego :'v
avatar
Darkario
Iniciado
Iniciado

0/3

Créditos 3

Gracias : 2

Volver arriba Ir abajo

Re: Ayuda, tengo un problema con el Scipt de Pokemon Acompañante

Mensaje por orochii el 2017-11-16, 01:46

Nnnnnno creo que no puedas avanzar con el juego por un script de pokémon que te sigue xD, pero por lo que entiendo es probablemente una incompatibilidad con la versión del Essentials que usas. Es posible que ese script haya sido hecho para otra versión (de seguro una más vieja xD). ¿Has intentado contactar con el creador? O quiza comentarlo en el tema de donde lo sacaste. Es que especialmente el Essentials es bastante desastrozo en cuanto a código peculiar y hecho con las patas con una estructura algo poco común.

Por el momento, ¿qué versión del Essentials usas? Eso puede ser determinante en poder solucionarlo, creo yo (sea quien lo haga xD).

Salut!
avatar
orochii
Reportero

0/3

Créditos 7473

Gracias : 370

Volver arriba Ir abajo

Re: Ayuda, tengo un problema con el Scipt de Pokemon Acompañante

Mensaje por Darkario el 2017-11-16, 18:51

no puedo avanzar porque la historia depende mucho de ese Script, y si no lo uso, la historia quedaria incompleta, a mi parecer. y yo uso Pokemon Essentials version 16.2 en español. Y lo de contactar con el creador... no se como hacerlo :v

@orochii escribió:Nnnnnno creo que no puedas avanzar con el juego por un script de pokémon que te sigue xD, pero por lo que entiendo es probablemente una incompatibilidad con la versión del Essentials que usas. Es posible que ese script haya sido hecho para otra versión (de seguro una más vieja xD). ¿Has intentado contactar con el creador? O quiza comentarlo en el tema de donde lo sacaste. Es que especialmente el Essentials es bastante desastrozo en cuanto a código peculiar y hecho con las patas con una estructura algo poco común.

Por el momento, ¿qué versión del Essentials usas? Eso puede ser determinante en poder solucionarlo, creo yo (sea quien lo haga xD).

Salut!

lo necesito porque quedaria incompleto el juego sin esa funcion :'v ah, y mi version de Essentials es la version 16.2 en español :3 y no se quien es el creador del Script, asi que no puedo contactar con esa persona :'v PD: este mensaje lo intente mandar antes... pero #EsQueEsMiPrimerDia y no se mando :v
avatar
Darkario
Iniciado
Iniciado

0/3

Créditos 3

Gracias : 2

Volver arriba Ir abajo

Re: Ayuda, tengo un problema con el Scipt de Pokemon Acompañante

Mensaje por orochii el 2017-11-17, 02:43

Ok, creo que encontré el tema de esa versión específica. Creo que hay más pasos, verifica si los seguiste todos. Está en inglés eso sí :^D...

https://www.pokecommunity.com/showthread.php?t=360846

Es el problema de estos scripts de Pokémon Essentials, que si no es que dependen de que los mantengan junto al mismo Essentials que pasan sacando actualizaciones (y pueden hacer incompatibles scripts viejos por la mala estructura del Essentials :V), es que pues... hacen esos proyectos comunitarios descontrolados que pues, están bien, es guay, pero como 10001 autores cada uno con su propio tema xD.

En fin, ojala te sirva, salut!
avatar
orochii
Reportero

0/3

Créditos 7473

Gracias : 370

Volver arriba Ir abajo

Re: Ayuda, tengo un problema con el Scipt de Pokemon Acompañante

Mensaje por Darkario el 2017-11-17, 18:14

@orochii escribió:Ok, creo que encontré el tema de esa versión específica. Creo que hay más pasos, verifica si los seguiste todos. Está en inglés eso sí :^D...

https://www.pokecommunity.com/showthread.php?t=360846

Es el problema de estos scripts de Pokémon Essentials, que si no es que dependen de que los mantengan junto al mismo Essentials que pasan sacando actualizaciones (y pueden hacer incompatibles scripts viejos por la mala estructura del Essentials :V), es que pues... hacen esos proyectos comunitarios descontrolados que pues, están bien, es guay, pero como 10001 autores cada uno con su propio tema xD.

En fin, ojala te sirva, salut!

Bien!! :D por fin!! Me dejo de aparecer ese error! :D eres un heroe sin capa :'3 *le pone una capa* Heroe! :D aunque ahora me sale otro error cuando intento activar el evento ._. pero neh, luego intentare solucionarlo por mi cuenta :3 si es que puedo ._. como sea, muchas gracias :3
avatar
Darkario
Iniciado
Iniciado

0/3

Créditos 3

Gracias : 2

Volver arriba Ir abajo

Re: Ayuda, tengo un problema con el Scipt de Pokemon Acompañante

Mensaje por orochii el 2017-11-18, 03:19

Jaja de nada. Anda, intenta, si ya llevas rato, te has acabado las opciones y no te sale ahí compartes el error y tal, a ver si se puede hacer algo. :^)

Por el momento me alegra que hayas podido con el error anterior xd. Salut!
avatar
orochii
Reportero

0/3

Créditos 7473

Gracias : 370

Volver arriba Ir abajo

Re: Ayuda, tengo un problema con el Scipt de Pokemon Acompañante

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Ver el tema anterior Ver el tema siguiente Volver arriba


Permisos de este foro:
No puedes responder a temas en este foro.